Subject: RE: [Speermint] RE: I-D ACTION:draft-elwell-speermint-enterprise- usecases-00.txt

From: "Elwell, John" <[email-masked]>
Date: Tue, 20 Feb 2007 09:09:16 +0000

> -----Original Message-----
> From: Stastny Richard [mailto:[email-masked]] 
> Sent: 20 February 2007 08:46
> To: Elwell, John; [email-masked]
> Subject: RE: [Speermint] RE: I-D 
> ACTION:draft-elwell-speermint-enterprise-usecases-00.txt
> 
> John,
> 
> > > If you start with an E.164 number in Enterprise A, you 
> may not know
> > > that the E.164 number is finally going to an Enterprise B. So
> > > the first
> > > ENUM mapping will be to carrier.net. So the carrier needs 
> to have an
> > > indication somewhere that this E.164 number is not going to a
> > > residential
> > > subscriber UA, but to an enterpriseB.com
> > [JRE] The various DNS look-ups might take you to a server within
> > carrier.net, but this doesn't mean that the SIP Request-URI gets
> > overwritten
> > with SIP:[email-masked], because that is not really 
> where you
> are
> > trying to get to. Maybe the Route header field is used, if there
> really is
> > a
> > need to put that SIP:[email-masked] (as opposed to
> > sip:[email-masked]) in the request.
> 
> I understood it the other way round:
> You start with SIP:[email-masked] and end
> up in carrier.net with a mapping to SIP:[email-masked]
> 
> Richard

OK, that would be a possibility. It certainly isn't clear to me how this
would work. It all comes down to how enterprise A gets its DNS entries for
ENUM populated.

John

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint